local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.SQUIDBRELLA = "Squid Unit 1 : Hyperion"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SQUIDBRELLA = "Just seems like a cheap plastic umbrella..."
GLOBAL.STRINGS.RECIPE_DESC.SQUIDBRELLA = "A weapon of immense power."

PrefabFiles = {
	"ika",
	"squidbrella",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/ika.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ika.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ika.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ika.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ika_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ika_silho.xml" ),

    Asset( "IMAGE", "bigportraits/ika.tex" ),
    Asset( "ATLAS", "bigportraits/ika.xml" ),
	
	Asset( "ATLAS", "images/musume.xml" ),
	Asset( "IMAGE", "images/musume.tex" ),
	
	Asset("SOUNDPACKAGE", "sound/musume.fev"),
    Asset("SOUND", "sound/musume.fsb"),



}


-- strings! Any "ika" below would have to be replaced by the prefab name of your character.
function convertghost(inst)
    if inst.prefab == "ghost" then
        inst:AddComponent("sanityaura")
        inst.components.sanityaura.aura = TUNING.SANITYAURA_SMALL * 0
    end
end

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.ika = "The Ink-vader"
GLOBAL.STRINGS.CHARACTER_NAMES.ika = "Ika Musume"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.ika = "*Squid Attributes.\n*Determined Ink-vader\n*Terrified of Monsters! "
GLOBAL.STRINGS.CHARACTER_QUOTES.ika = "\"I am Squid Girl, invader from the sea!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.IKA = require "speech_ika"

-- Let the game know ika is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "ika")

----------------------------------------------------------------------------------------------------------------------------------------------------------
--Bioluminesence
----------------------------------------------------------------------------------------------------------------------------------------------------------

local bioluminescence = GetModConfigData("bioluminescence")
local hotkey
if bioluminescence == "R" then bioluminescencekey = GLOBAL.KEY_R end
if bioluminescence == "T" then bioluminescencekey = GLOBAL.KEY_T end
if bioluminescence == "Y" then bioluminescencekey = GLOBAL.KEY_Y end
if bioluminescence == "U" then bioluminescencekey = GLOBAL.KEY_U end
if bioluminescence == "G" then bioluminescencekey = GLOBAL.KEY_G end
if bioluminescence == "H" then bioluminescencekey = GLOBAL.KEY_H end
if bioluminescence == "J" then bioluminescencekey = GLOBAL.KEY_J end
if bioluminescence == "Z" then bioluminescencekey = GLOBAL.KEY_Z end
if bioluminescence == "X" then bioluminescencekey = GLOBAL.KEY_X end
if bioluminescence == "C" then bioluminescencekey = GLOBAL.KEY_C end
if bioluminescence == "V" then bioluminescencekey = GLOBAL.KEY_V end
if bioluminescence == "B" then bioluminescencekey = GLOBAL.KEY_B end
if bioluminescence == "N" then bioluminescencekey = GLOBAL.KEY_N end

if bioluminescencekey then
	GLOBAL.TheInput:AddKeyDownHandler(bioluminescencekey, function()
		local player = GLOBAL.GetPlayer()
		if player and player.prefab=="ika" then
			local TheInput = GLOBAL.TheInput
		
		if not GLOBAL.IsPaused() and not TheInput:IsKeyDown(GLOBAL.KEY_CTRL) and not TheInput:IsKeyDown(GLOBAL.KEY_SHIFT) then
			if player.Light:IsEnabled() then
				player.Light:Enable(false)
				player.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * .95)
				player.task:Cancel()
			else
				player.Light:Enable(true)
				player.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 2.85)
		
				player.task = player:DoPeriodicTask(1, function(inst)
				inst.Light:SetRadius(2)
				if inst.components.hunger.current < 1 then
					inst.components.health:DoDelta(-0) end
					end)
				end
			end
		end
	end)
end

AddMinimapAtlas("images/musume.xml")

AddPrefabPostInit("ghost", convertghost)

RemapSoundEvent( "dontstarve/characters/ika/death_voice", "musume/sound/death_voice" )
RemapSoundEvent( "dontstarve/characters/ika/hurt", "musume/sound/hurt" )
RemapSoundEvent( "dontstarve/characters/ika/talk_LP", "musume/sound/talk_LP" )

AddModCharacter("ika")

