
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/ika.zip" ),
}
local prefabs = {}

local start_inv =
{
    "squidbrella",
}


local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "ika"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "musume.tex" )

	-- todo: Add an example special power here.
	
	--Stats--
	inst.components.health.maxhealth = 75
	inst.components.hunger:SetMax(135)
	inst.components.sanity:SetMax(100)	
	
	--Combat--
	inst.components.combat.damagemultiplier = 0.9
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.15)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.15)
	inst.components.health.fire_damage_scale = 3
	
	--Survival--
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.95)
	inst:AddComponent("healthRegen")
	inst.components.temperature.overheattemp = 60
	inst.components.eater.ignoresspoilage = true
	
	--Sanity--
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_SMALL * .75)
	inst.components.sanity.night_drain_mult = (TUNING.WENDY_SANITY_MULT)
	inst.components.sanity.neg_aura_mult = 2
	
	
	--Misc.--
	inst.entity:AddLight()
	inst.Light:Enable(false)
	inst.Light:SetFalloff(.5)
	inst.Light:SetIntensity(.4)
	inst.Light:SetColour(182/255,255/255,255/255)
	inst.components.talker.colour = Vector3(127/255, 179/255, 226/255)

	--Recipes--
	local squidbrella_recipe = Recipe("squidbrella", { Ingredient("twigs", 6), Ingredient("silk", 2), Ingredient("flint", 1)}, RECIPETABS.WAR, TECH.NONE) -- Squid Unit Mk I
	squidbrella_recipe.atlas = "images/inventoryimages/squidbrella.xml"
	squidbrella_recipe.sortkey = -1
end



return MakePlayerCharacter("ika", prefabs, assets, fn, start_inv)
