local assets=
{
	Asset("ANIM", "anim/squidbrella.zip"),
	Asset("ANIM", "anim/swap_squidbrella.zip"),
    Asset("ATLAS", "images/inventoryimages/squidbrella.xml"),
    
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_squidbrella", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onattack_blue(inst, attacker, target)

	if attacker and attacker.components.sanity then
		attacker.components.sanity:DoDelta(3)
    end
    if target.components.sleeper and target.components.sleeper:IsAsleep() then
        target.components.sleeper:WakeUp()
    end
    if target.components.burnable and target.components.burnable:IsBurning() then
        target.components.burnable:Extinguish()
    end
    if target.components.combat then
        target.components.combat:SuggestTarget(attacker)
        if target.sg and not target.sg:HasStateTag("frozen") and target.sg.sg.states.hit then
            target.sg:GoToState("hit")
        end
    end
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("nightmaresword")
    inst.AnimState:SetBuild("squidbrella")
    inst.AnimState:PlayAnimation("idle")
    
	inst:AddTag("icestaff")
	
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE * 0.95)
	inst.components.weapon:SetOnAttack(onattack_blue)
    
    -------

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/squidbrella.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(112)
    inst.components.finiteuses:SetUses(112)
	 
	inst.components.finiteuses:SetOnFinished( onfinished )
	
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("ika")
	
    return inst
end

return Prefab( "common/inventory/squidbrella", fn, assets) 
